View Issue Details

IDProjectCategoryView StatusLast Update
16263Feature requestsOtherpublic2020-10-08 20:40
Reportergabrieljenik Assigned Toeddylackmann  
PrioritynoneSeverity@40@ 
Status resolvedResolutionfixed 
Summary16263: New config setting for date format and question code
Description

Add some enhancement for queXML report:

  • Date format to follow survey settings
  • Add new setting for using question codes instead of question number.

The 2 enhancements will be enabled/disbaled through settings on config defaults.

TagsNo tags attached.

Relationships

related to 16726 assignedgabrieljenik New config setting for date format and question code - Updates 

Activities

gabrieljenik

gabrieljenik

2020-05-12 18:32

developer   ~57716

Please find below some testing evidence.

Thanks

Testing QueXML (1).jpeg (34,570 bytes)   
Testing QueXML (1).jpeg (34,570 bytes)   
Testing QueXML (2).jpeg (14,958 bytes)   
Testing QueXML (2).jpeg (14,958 bytes)   

user225042

2020-07-03 12:03

  ~58677

Last edited: 2020-07-03 12:03

View 2 revisions

Tested by checking out to branch.Date format is as survey settings and Question code is displayed in PDF.
Please refer the screenshot for more details

QUEXML_Dateand Quecode.png (60,030 bytes)   
QUEXML_Dateand Quecode.png (60,030 bytes)   
eddylackmann

eddylackmann

2020-07-09 17:44

administrator   ~58879

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30264

Related Changesets

LimeSurvey: 3.x-LTS c04e8e9f

2020-07-08 13:31:36

eddylackmann


Committer: ollehar1 Details Diff
New feature 16263: QueXML-PDF: New config setting for date format and question code #1434 Affected Issues
16263
mod - application/config/config-defaults.php Diff File
mod - application/helpers/export_helper.php Diff File
mod - application/libraries/admin/quexmlpdf.php Diff File
mod - application/models/TemplateManifest.php Diff File
mod - phpunit.xml Diff File
add - tests/data/surveys/survey_archive_821351.lsa Diff File
mod - tests/data/travis/travis_setup.sh Diff File
add - tests/unit/helpers/QuexmlPDFTest.php Diff File

Issue History

Date Modified Username Field Change
2020-05-12 18:31 gabrieljenik New Issue
2020-05-12 18:32 gabrieljenik Note Added: 57716
2020-05-12 18:32 gabrieljenik File Added: Testing QueXML (1).jpeg
2020-05-12 18:32 gabrieljenik File Added: Testing QueXML (2).jpeg
2020-05-13 11:58 ollehar Summary Small Enhancement for queXML => New config setting for date format and question code
2020-05-13 12:11 ollehar Project Bug reports => Feature requests
2020-05-18 11:59 ollehar Assigned To => ollehar
2020-05-18 11:59 ollehar Status new => resolved
2020-05-18 11:59 ollehar Resolution open => fixed
2020-07-03 12:03 user225042 Note Added: 58677
2020-07-03 12:03 user225042 File Added: QUEXML_Dateand Quecode.png
2020-07-03 12:03 user225042 Note Edited: 58677 View Revisions
2020-07-09 17:44 ollehar1 Changeset attached => LimeSurvey 3.x-LTS c04e8e9f
2020-07-09 17:44 eddylackmann Note Added: 58879
2020-07-09 17:44 eddylackmann Assigned To ollehar => eddylackmann
2020-10-08 20:40 gabrieljenik Issue cloned: 16726
2020-10-08 20:40 gabrieljenik Relationship added related to 16726